Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
linux-headers and iptables (fyi)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
wcg
Guru
Guru


Joined: 06 Jan 2009
Posts: 588

PostPosted: Wed Nov 21, 2012 10:20 pm    Post subject: linux-headers and iptables (fyi) Reply with quote

linux-headers-3.6 came down the pike as a stable update
the other day (emerge --sync, emerge -DuNp system).

This requires a version of iptables newer than stable
(on amd64, x86, etc), iptables-1.4.16.x.

This note is from the /usr/portage/net-firewall/iptables/Changelog:
Quote:

Make sure linux-headers <3.5 are used for iptables <1.4.16 (see
http://www.spinics.net/lists/netfilter-devel/msg22762.html).


(With earlier versions of iptables and newer linux-headers,
emerge fails on a missing header file:
Code:

/usr/include/linux/netfilter_ipv4/ip_queue.h


iptables-1.4.16.2 (~amd64) is working with kernel
gentoo-sources-3.5.7 and linux-headers-3.6
without complaint from iptables or the kernel
so far (I have not tried iptables-1.4.16.3 yet).
_________________
TIA
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum